// Translator plugin.
// Used to export Cgf files.
// In fact, translates the translation request into a command CryExoprt* and executes that command.
#pragma once

#include "TranslatorCryFile.h"

class CTranslatorCgf:
	public CTranslatorCryFile
{
public:
	CTranslatorCgf(const char* szDefaultExtension);
	virtual ~CTranslatorCgf(void);
	static void*	creatorCgf();
	static void*	creatorBld();

protected:
	MStatus reader ( const MFileObject& file,
		const MString& optionsString,
		MPxFileTranslator::FileAccessMode mode);

	MStatus writer ( const MFileObject& file,
		const MString& optionsString,
		MPxFileTranslator::FileAccessMode mode);

	bool haveReadMethod () const;
	bool haveWriteMethod () const;

	MString defaultExtension () const;

	bool canBeOpened() const;

	const char* m_szDefaultExtension;

	FileTypes getMyFileType() const{return FileType_Geom;}
};
